Bug 233311 - Factor child change invalidation into class
Summary: Factor child change invalidation into class
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Antti Koivisto
URL:
Keywords: InRadar
Depends on: 233394
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-18 03:31 PST by Antti Koivisto
Modified: 2021-11-22 09:54 PST (History)
8 users (show)

See Also:


Attachments
WIP (39.58 KB, patch)
2021-11-18 03:37 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
WIP (38.89 KB, patch)
2021-11-18 06:13 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
Patch (43.99 KB, patch)
2021-11-18 08:43 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
Patch (44.16 KB, patch)
2021-11-18 11:44 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
Patch (44.19 KB, patch)
2021-11-18 12:10 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
Patch (41.34 KB, patch)
2021-11-22 05:29 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
Patch (41.12 KB, patch)
2021-11-22 06:02 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
Patch (41.12 KB, patch)
2021-11-22 06:03 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
Patch (41.12 KB, patch)
2021-11-22 06:59 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
Patch (41.18 KB, patch)
2021-11-22 08:31 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antti Koivisto 2021-11-18 03:31:30 PST
Similar to ClassChangeInvalidation and pals
Comment 1 Antti Koivisto 2021-11-18 03:37:39 PST
Created attachment 444657 [details]
WIP
Comment 2 Antti Koivisto 2021-11-18 06:13:33 PST
Created attachment 444664 [details]
WIP
Comment 3 Antti Koivisto 2021-11-18 08:43:20 PST
Created attachment 444683 [details]
Patch
Comment 4 Antti Koivisto 2021-11-18 11:44:41 PST
Created attachment 444709 [details]
Patch
Comment 5 Antti Koivisto 2021-11-18 12:10:45 PST
Created attachment 444713 [details]
Patch
Comment 6 EWS 2021-11-19 06:48:32 PST
Committed r286058 (244445@main): <https://commits.webkit.org/244445@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 444713 [details].
Comment 7 Radar WebKit Bug Importer 2021-11-19 06:49:23 PST
<rdar://problem/85600978>
Comment 8 WebKit Commit Bot 2021-11-19 22:38:06 PST
Re-opened since this is blocked by bug 233394
Comment 9 Antti Koivisto 2021-11-22 05:29:02 PST
Created attachment 444958 [details]
Patch
Comment 10 Antti Koivisto 2021-11-22 06:02:23 PST
Created attachment 444959 [details]
Patch
Comment 11 Antti Koivisto 2021-11-22 06:03:51 PST
Created attachment 444960 [details]
Patch
Comment 12 Antti Koivisto 2021-11-22 06:59:45 PST
Created attachment 444963 [details]
Patch
Comment 13 Antti Koivisto 2021-11-22 08:31:11 PST
Created attachment 444969 [details]
Patch
Comment 14 EWS 2021-11-22 09:54:04 PST
Committed r286112 (244499@main): <https://commits.webkit.org/244499@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 444969 [details].